## ns3 3.8

=== ns-3.8/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

# python lib modules
import sys
import shutil
import types
import optparse
import os.path
import re

# WAF modules
import pproc as subprocess
import Options

import Logs
import TaskGen
import Constants

import ccroot
ccroot.USE_TOP_LEVEL = True

import Task
Task.algotype = Constants.JOBCONTROL # so that Task.maxjobs=1 takes effect

import Utils
import Build
import Configure
import Scripting

sys.path.insert(0, os.path.abspath('waf-tools'))
try:
    import cflags # override the build profiles from waf
finally:
    sys.path.pop(0)

cflags.profiles = {
	# profile name: [optimization_level, warnings_level, debug_level]
	'debug':     [0, 2, 3],
	'optimized': [3, 2, 1],
	'release':   [3, 2, 0],
	}
cflags.default_profile = 'debug'

# local modules
import wutils
import regression

Configure.autoconfig = 1

# the following two variables are used by the target "waf dist"
VERSION = file("VERSION", "rt").read().strip()
APPNAME = 'ns'

wutils.VERSION = VERSION
wutils.APPNAME = APPNAME

#
# The last part of the path name to use to find the regression traces.  The
# path will be APPNAME + '-' + VERSION + REGRESSION_SUFFIX, e.g.,
# ns-3-dev-ref-traces
#
REGRESSION_SUFFIX = "-ref-traces"


# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

def load_env():
    bld_cls = getattr(Utils.g_module, 'build_context', Utils.Context)
    bld_ctx = bld_cls()
    bld_ctx.load_dirs(os.path.abspath(os.path.join (srcdir,'..')),
                      os.path.abspath(os.path.join (srcdir,'..', blddir)))
    bld_ctx.load_envs()
    env = bld_ctx.get_env()
    return env

def get_files(base_dir):
    retval = []
    reference=os.path.dirname(base_dir)
    for root, dirs, files in os.walk(base_dir):
        if root.find('.hg') != -1:
            continue
        for file in files:
            if file.find('.hg') != -1:
                continue
            fullname = os.path.join(root,file)
            # we can't use os.path.relpath because it's new in python 2.6
            relname = fullname.replace(reference + '/','')
            retval.append([fullname,relname])
    return retval


def dist_hook():
    import tarfile
    shutil.rmtree("doc/html", True)
    shutil.rmtree("doc/latex", True)
    shutil.rmtree("nsc", True)

    ## build the name of the traces subdirectory.  Will be something like
    ## ns-3-dev-ref-traces
    traces_name = APPNAME + '-' + VERSION + REGRESSION_SUFFIX
    ## Create a tar.bz2 file with the traces
    env = load_env()
    regression_dir = env['REGRESSION_TRACES']
    if not os.path.isdir(regression_dir):
        Logs.warn("Not creating traces archive: the %s directory does not exist" % regression_dir)
    else:
        traceball = traces_name + wutils.TRACEBALL_SUFFIX
        tar = tarfile.open(os.path.join("..", traceball), 'w:bz2')
        files = get_files(regression_dir)
        for fullfilename,relfilename in files:
            tar.add(fullfilename,arcname=relfilename)
        tar.close()

def set_options(opt):
    # options provided by the modules
    opt.tool_options('compiler_cc')
    opt.tool_options('compiler_cxx')
    opt.tool_options('cflags')

    opt.add_option('--cwd',
                   help=('Set the working directory for a program.'),
                   action="store", type="string", default=None,
                   dest='cwd_launch')

    opt.add_option('--enable-gcov',
                   help=('Enable code coverage analysis.'
                         ' WARNING: this option only has effect '
                         'with the configure command.'),
                   action="store_true", default=False,
                   dest='enable_gcov')

    opt.add_option('--no-task-lines',
                   help=("Don't print task lines, i.e. messages saying which tasks are being executed by WAF."
                         "  Coupled with a single -v will cause WAF to output only the executed commands,"
                         " just like 'make' does by default."),
                   action="store_true", default=False,
                   dest='no_task_lines')

    opt.add_option('--lcov-report',
                   help=('Generate a code coverage report '
                         '(use this option at build time, not in configure)'),
                   action="store_true", default=False,
                   dest='lcov_report')

    opt.add_option('--run',
                   help=('Run a locally built program; argument can be a program name,'
                         ' or a command starting with the program name.'),
                   type="string", default='', dest='run')
    opt.add_option('--command-template',
                   help=('Template of the command used to run the program given by --run;'
                         ' It should be a shell command string containing %s inside,'
                         ' which will be replaced by the actual program.'),
                   type="string", default=None, dest='command_template')
    opt.add_option('--pyrun',
                   help=('Run a python program using locally built ns3 python module;'
                         ' argument is the path to the python program, optionally followed'
                         ' by command-line options that are passed to the program.'),
                   type="string", default='', dest='pyrun')
    opt.add_option('--valgrind',
                   help=('Change the default command template to run programs and unit tests with valgrind'),
                   action="store_true", default=False,
                   dest='valgrind')
    opt.add_option('--shell',
                   help=('DEPRECATED (run ./waf shell)'),
                   action="store_true", default=False,
                   dest='shell')
    opt.add_option('--enable-sudo',
                   help=('Use sudo to setup suid bits on ns3 executables.'),
                   dest='enable_sudo', action='store_true',
                   default=False)
    opt.add_option('--enable-examples',
                   help=('Build the ns-3 examples and samples.'),
                   dest='enable_examples', action='store_true',
                   default=True)
    opt.add_option('--disable-examples',
                   help=('Do not build the ns-3 examples and samples.'),
                   dest='enable_examples', action='store_false')
    opt.add_option('--regression',
                   help=("Enable regression testing; only used for the 'check' target"),
                   default=False, dest='regression', action="store_true")
    opt.add_option('--check',
                   help=('DEPRECATED (run ./test.py)'),
                   default=False, dest='check', action="store_true")
    opt.add_option('--regression-generate',
                   help=("Generate new regression test traces."),
                   default=False, dest='regression_generate', action="store_true")
    opt.add_option('--regression-tests',
                   help=('For regression testing, only run/generate the indicated regression tests, '
                         'specified as a comma separated list of test names'),
                   dest='regression_tests', type="string")
    opt.add_option('--with-regression-traces',
                   help=('Path to the regression reference traces directory'),
                   default=None,
                   dest='regression_traces', type="string")
    opt.add_option('--enable-static',
                   help=('Compile NS-3 statically: works only on linux, without python'),
                   dest='enable_static', action='store_true',
                   default=False)
    opt.add_option('--enable-mpi',
                   help=('Compile NS-3 with MPI and distributed simulation support'),
                   dest='enable_mpi', action='store_true',
                   default=False)
    opt.add_option('--doxygen-no-build',
                   help=('Run doxygen to generate html documentation from source comments, '
                         'but do not wait for ns-3 to finish the full build.'),
                   action="store_true", default=False,
                   dest='doxygen_no_build')

    # options provided in subdirectories
    opt.sub_options('src')
    opt.sub_options('bindings/python')
    opt.sub_options('src/internet-stack')


def _check_compilation_flag(conf, flag, mode='cxx'):
    """
    Checks if the C++ compiler accepts a certain compilation flag or flags
    flag: can be a string or a list of strings
    """

    env = conf.env.copy()
    if mode == 'cxx':
        fname = 'test.cc'
        env.append_value('CXXFLAGS', flag)
    else:
        fname = 'test.c'
        env.append_value('CCFLAGS', flag)
    try:
        retval = conf.run_c_code(code='#include <stdio.h>\nint main() { return 0; }\n',
                                 env=env, compile_filename=fname,
                                 compile_mode=mode, type='cprogram', execute=False)
    except Configure.ConfigurationError:
        ok = False
    else:
        ok = (retval == 0)
    conf.check_message_custom(flag, 'support', (ok and 'yes' or 'no'))
    return ok

    
def report_optional_feature(conf, name, caption, was_enabled, reason_not_enabled):
    conf.env.append_value('NS3_OPTIONAL_FEATURES', (name, caption, was_enabled, reason_not_enabled))

def configure(conf):
    # attach some extra methods
    conf.check_compilation_flag = types.MethodType(_check_compilation_flag, conf)
    conf.report_optional_feature = types.MethodType(report_optional_feature, conf)
    conf.env['NS3_OPTIONAL_FEATURES'] = []

    conf.env['NS3_BUILDDIR'] = conf.blddir
    conf.check_tool('compiler_cc')
    conf.check_tool('compiler_cxx')
    conf.check_tool('cflags', ['waf-tools'])
    try:
        conf.check_tool('pkgconfig', ['waf-tools'])
    except Configure.ConfigurationError:
        pass
    conf.check_tool('command', ['waf-tools'])

    # Check for the location of regression reference traces
    if Options.options.regression_traces is not None:
        if os.path.isdir(Options.options.regression_traces):
            conf.check_message("regression traces location", '', True, ("%s (given)" % Options.options.regression_traces))
            conf.env['REGRESSION_TRACES'] = os.path.abspath(Options.options.regression_traces)
    else:
        traces = os.path.join('..', "%s-%s%s" % (APPNAME, VERSION, REGRESSION_SUFFIX))
        if os.path.isdir(traces):
            conf.check_message("regression reference traces", '', True, ("%s (guessed)" % traces))
            conf.env['REGRESSION_TRACES'] = os.path.abspath(traces)
        del traces
    if not conf.env['REGRESSION_TRACES']:
        conf.check_message("regression reference traces", '', False)

    # create the second environment, set the variant and set its name
    variant_env = conf.env.copy()
    variant_name = Options.options.build_profile

    if Options.options.enable_gcov:
        variant_name += '-gcov'
        variant_env.append_value('CCFLAGS', '-fprofile-arcs')
        variant_env.append_value('CCFLAGS', '-ftest-coverage')
        variant_env.append_value('CXXFLAGS', '-fprofile-arcs')
        variant_env.append_value('CXXFLAGS', '-ftest-coverage')
        variant_env.append_value('LINKFLAGS', '-fprofile-arcs')
    
    conf.env['NS3_ACTIVE_VARIANT'] = variant_name
    variant_env['NS3_ACTIVE_VARIANT'] = variant_name
    variant_env.set_variant(variant_name)
    conf.set_env_name(variant_name, variant_env)
    conf.setenv(variant_name)
    env = variant_env

    if Options.options.build_profile == 'debug':
        env.append_value('CXXDEFINES', 'NS3_ASSERT_ENABLE')
        env.append_value('CXXDEFINES', 'NS3_LOG_ENABLE')

    env['PLATFORM'] = sys.platform

    if conf.env['CXX_NAME'] in ['gcc', 'icc']:
        if Options.options.build_profile == 'release': 
            env.append_value('CXXFLAGS', '-fomit-frame-pointer') 
            if conf.check_compilation_flag('-march=native'):

=== pybindgen-0.14.1/examples/wscript ===
## -*- python -*-

def build(bld):
    bld.add_subdirs('a b c d e f g h')

=== ns-3.8/doc/manual/Makefile ===
TEXI2HTML = texi2html
TEXI2PDF = texi2dvi --pdf
EPSTOPDF = epstopdf
DIA = dia
CONVERT = convert
CSS = --css-include=manual.css
SPLIT = --split section

FIGURES = figures
DOC_FIGURES = ..
VPATH = $(FIGURES)

IMAGES_EPS = \
	$(FIGURES)/internet-node-send.eps \
	$(FIGURES)/internet-node-recv.eps \
	$(FIGURES)/packet.eps \
	$(FIGURES)/node.eps \
	$(FIGURES)/buffer.eps \
	$(FIGURES)/sockets-overview.eps \
	$(FIGURES)/software-organization.eps \
	$(FIGURES)/routing.eps \
	$(FIGURES)/routing-specialization.eps \
	$(FIGURES)/testbed.eps \
	$(FIGURES)/emulated-channel.eps \
	$(FIGURES)/snir.eps \
	$(DOC_FIGURES)/WifiArchitecture.eps

IMAGES_PNG = ${IMAGES_EPS:.eps=.png}
IMAGES_PDF = ${IMAGES_EPS:.eps=.pdf}

IMAGES = $(IMAGES_EPS) $(IMAGES_PNG) $(IMAGES_PDF)

CHAPTERS = \
	manual.texi \
	animation.texi \
	attributes.texi \
	bridge.texi \
	callbacks.texi \
	csma.texi \
	emulation.texi \
	emu.texi \
	flow-monitor.texi \
	helpers.texi \
	internet.texi \
	ipv4.texi \
	ipv6.texi \
	log.texi \
	manual.texi \
	mesh.texi \
	names.texi \
	new-models.texi \
	node.texi \
	objects.texi \
	other.texi \
	output.texi \
	packets.texi \
	point-to-point.texi \
	python.texi \
	random.texi \
	realtime.texi \
  distributed.texi \
	routing.texi \
	simple.texi \
	sockets.texi \
	statistics.texi \
	tap.texi \
	tcp.texi \
	tracing.texi \
	troubleshoot.texi \
	wifi.texi

%.eps : %.dia; $(DIA) -t eps $< -e $@
%.png : %.dia; $(DIA) -t png $< -e $@
%.pdf : %.eps; $(EPSTOPDF) $< -o=$@

all:  $(IMAGES) version manual.pdf manual.html manual/manual.html

manual.pdf: version $(IMAGES) $(CHAPTERS)
	$(TEXI2PDF) manual.texi

manual.html: version $(IMAGES) $(CHAPTERS)
	$(TEXI2HTML) ${CSS} manual.texi

manual/manual.html: version $(IMAGES) $(CHAPTERS)
	$(TEXI2HTML) ${CSS} ${SPLIT} --output manual manual.texi

figures-clean:
	rm -rf $(IMAGES)

version:
	echo -n "ns-" > VERSION-PREFIX; cat VERSION-PREFIX ../../VERSION > VERSION; rm -rf VERSION-PREFIX

texi-clean: 	
	rm -rf manual.aux manual.cp manual.cps manual.fn manual.ky manual.pg manual.tp
	rm -rf manual.vr manual.toc manual.log manual.pdf manual.html manual/ VERSION 

clean:	figures-clean texi-clean

=== ns-3.8/examples/wireless/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_program('mixed-wireless', ['core', 'simulator', 'mobility', 'wifi', 'point-to-point', 
                                                    'internet-stack'])
    obj.source = 'mixed-wireless.cc'

    obj = bld.create_ns3_program('wifi-adhoc', ['core', 'simulator', 'mobility', 'wifi'])
    obj.source = 'wifi-adhoc.cc'

    obj = bld.create_ns3_program('wifi-clear-channel-cmu', ['core', 'simulator', 'mobility', 'wifi'])
    obj.source = 'wifi-clear-channel-cmu.cc'

    obj = bld.create_ns3_program('wifi-ap', ['core', 'simulator', 'mobility', 'wifi'])
    obj.source = 'wifi-ap.cc'

    obj = bld.create_ns3_program('wifi-wired-bridging', ['core', 'simulator', 'mobility', 'wifi', 'csma', 'helper', 'bridge'])
    obj.source = 'wifi-wired-bridging.cc'

    obj = bld.create_ns3_program('simple-wifi-frame-aggregation', ['core', 'simulator', 'mobility', 'wifi'])
    obj.source = 'simple-wifi-frame-aggregation.cc'

    obj = bld.create_ns3_program('multirate', ['core', 'simulator', 'mobility', 'wifi'])
    obj.source = 'multirate.cc'

    obj = bld.create_ns3_program('wifi-simple-adhoc', ['core', 'simulator', 'mobility', 'wifi'])
    obj.source = 'wifi-simple-adhoc.cc'

    obj = bld.create_ns3_program('wifi-simple-adhoc-grid', ['core', 'simulator', 'mobility', 'wifi'])
    obj.source = 'wifi-simple-adhoc-grid.cc'

    obj = bld.create_ns3_program('wifi-simple-infra', ['core', 'simulator', 'mobility', 'wifi'])
    obj.source = 'wifi-simple-infra.cc'

    obj = bld.create_ns3_program('wifi-simple-interference', ['core', 'simulator', 'mobility', 'wifi'])
    obj.source = 'wifi-simple-interference.cc'

    obj = bld.create_ns3_program('wifi-blockack', ['core', 'simulator', 'mobility', 'wifi'])
    obj.source = 'wifi-blockack.cc'
    
    obj = bld.create_ns3_program('wifi-hidden-terminal', ['core', 'simulator', 'mobility', 'wifi', 'flow-monitor'])
    obj.source = 'wifi-hidden-terminal.cc'

=== ns-3.8/src/common/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    common = bld.create_ns3_module('common', ['core', 'simulator'])
    common.source = [
        'buffer.cc',
        'packet-metadata.cc',
        'packet-metadata-test.cc',
        'packet.cc',
        'chunk.cc',
        'header.cc',
        'trailer.cc',
        'data-rate.cc',
        'error-model.cc',
        'tag.cc',
        'byte-tag-list.cc',
        'tag-buffer.cc',
        'packet-tag-list.cc',
        'nix-vector.cc',
        'pcap-file.cc',
        'pcap-file-test-suite.cc',
        'pcap-file-wrapper.cc',
        'output-stream-wrapper.cc',
        'propagation-delay-model.cc',
        'propagation-loss-model.cc',
        'propagation-loss-model-test-suite.cc',
        'jakes-propagation-loss-model.cc',
        'cost231-propagation-loss-model.cc',
        ]

    headers = bld.new_task_gen('ns3header')
    headers.module = 'common'
    headers.source = [
        'buffer.h',
        'chunk.h',
        'header.h',
        'trailer.h',
        'packet.h',
        'packet-metadata.h',
        'data-rate.h',
        'error-model.h',
        'tag.h',
        'byte-tag-list.h',
        'tag-buffer.h',
        'packet-tag-list.h',
        'nix-vector.h',
        'sgi-hashmap.h',
        'pcap-file.h',
        'pcap-file-wrapper.h',
        'output-stream-wrapper.h',
        'propagation-delay-model.h',
        'propagation-loss-model.h',
        'jakes-propagation-loss-model.h',
        'cost231-propagation-loss-model.h',
        ]

=== ns-3.8/src/core/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-
import sys
import Options

def configure(conf):
    if conf.check(header_name='stdlib.h'):
        conf.define('HAVE_STDLIB_H', 1)
        conf.define('HAVE_GETENV', 1)

    conf.check(header_name='signal.h', define_name='HAVE_SIGNAL_H')

    # Check for POSIX threads
    test_env = conf.env.copy()
    if Options.platform != 'darwin' and Options.platform != 'cygwin':
        test_env.append_value('LINKFLAGS', '-pthread')
        test_env.append_value('CXXFLAGS', '-pthread')
        test_env.append_value('CCFLAGS', '-pthread')
    fragment = r"""
#include <pthread.h>
int main ()
{
   pthread_mutex_t m;
   pthread_mutex_init (&m, NULL);
   return 0;
}
"""
    have_pthread = conf.check(header_name='pthread.h', define_name='HAVE_PTHREAD_H',
                              env=test_env, fragment=fragment,
                              errmsg='Could not find pthread support (build/config.log for details)',
                              mandatory=False)
    if have_pthread:
        # darwin accepts -pthread but prints a warning saying it is ignored
        if Options.platform != 'darwin' and Options.platform != 'cygwin':
            conf.env['CXXFLAGS_PTHREAD'] = '-pthread'
            conf.env['CCFLAGS_PTHREAD'] = '-pthread'
            conf.env['LINKFLAGS_PTHREAD'] = '-pthread'

    conf.env['ENABLE_THREADING'] = have_pthread

    conf.report_optional_feature("Threading", "Threading Primitives",
                                 conf.env['ENABLE_THREADING'],
                                 "<pthread.h> include not detected")

    conf.write_config_header('ns3/core-config.h', top=True)

def build(bld):
    core = bld.create_ns3_module('core')
    core.source = [
        'log.cc',
        'breakpoint.cc',
        'type-id.cc',
        'attribute-list.cc',
        'object-base.cc',
        'ref-count-base.cc',
        'object.cc',
        'test.cc',
        'random-variable.cc',
        'rng-stream.cc',
        'command-line.cc',
        'type-name.cc',
        'attribute.cc',
        'boolean.cc',
        'integer.cc',
        'uinteger.cc',
        'enum.cc',
        'double.cc',
        'string.cc',
        'pointer.cc',
        'object-vector.cc',
        'object-factory.cc',
        'global-value.cc',
        'trace-source-accessor.cc',
        'config.cc',
        'callback.cc',
        'names.cc',
        'vector.cc',
        'attribute-test-suite.cc',
        'callback-test-suite.cc',
        'names-test-suite.cc',
        'type-traits-test-suite.cc',
        'traced-callback-test-suite.cc',
        'ptr-test-suite.cc',
        ]

    headers = bld.new_task_gen('ns3header')
    headers.module = 'core'
    headers.source = [
        'system-wall-clock-ms.h',
        'empty.h',
        'callback.h',
        'object-base.h',
        'ref-count-base.h',
        'simple-ref-count.h',
        'type-id.h',
        'attribute-list.h',
        'ptr.h',
        'object.h',
        'log.h',
        'assert.h',
        'breakpoint.h',
        'fatal-error.h',
        'test.h',
        'random-variable.h',
        'rng-stream.h',
        'command-line.h',
        'type-name.h',
        'type-traits.h',
        'int-to-type.h',
        'attribute.h',
        'attribute-accessor-helper.h',
        'boolean.h',
        'integer.h',
        'uinteger.h',
        'double.h',
        'enum.h',
        'string.h',
        'pointer.h',
        'object-factory.h',
        'attribute-helper.h',
        'global-value.h',
        'traced-callback.h',
        'traced-value.h',
        'trace-source-accessor.h',
        'config.h',
        'object-vector.h',
        'deprecated.h',
        'abort.h',
        'names.h',
        'vector.h',
        'default-deleter.h',
        ]

    if sys.platform == 'win32':
        core.source.extend([
            'win32-system-wall-clock-ms.cc',
            ])
    else:
        core.source.extend([
            'unix-system-wall-clock-ms.cc',
            ])

    if bld.env['ENABLE_THREADING']:
        core.source.extend([
            'unix-system-thread.cc',
            'unix-system-mutex.cc',
            'unix-system-condition.cc',
            ])
        core.uselib = 'PTHREAD'
        headers.source.extend([
                'system-mutex.h',
                'system-thread.h',
                'system-condition.h',
                ])

    if bld.env['ENABLE_GSL']:
        core.uselib = 'GSL GSLCBLAS M'
        core.source.extend(['rng-test-suite.cc'])

=== ns-3.8/src/helper/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    helper = bld.create_ns3_module('helper', ['internet-stack', 'wifi', 'point-to-point', 'csma', 'olsr', 'global-routing', 'onoff', 'packet-sink', 'udp-echo'])
    helper.source = [
        'node-container.cc',
        'net-device-container.cc',
        'wifi-helper.cc',
        'olsr-helper.cc',
        'point-to-point-helper.cc',
        'csma-helper.cc',
        'mobility-helper.cc',
        'ns2-mobility-helper.cc',
        'ipv4-address-helper.cc',
        'ipv4-static-routing-helper.cc',
        'internet-stack-helper.cc',
        'application-container.cc',
        'on-off-helper.cc',
        'packet-sink-helper.cc',
        'packet-socket-helper.cc',
        'ipv4-interface-container.cc',
        'udp-echo-helper.cc',
        'bridge-helper.cc',
        'yans-wifi-helper.cc',
        'v4ping-helper.cc',
        'nqos-wifi-mac-helper.cc',
        'qos-wifi-mac-helper.cc',
        'ipv4-nix-vector-helper.cc',
        'ipv4-global-routing-helper.cc',
        'ipv4-list-routing-helper.cc',
        'ipv4-routing-helper.cc',
        'aodv-helper.cc',
        'mesh-helper.cc',
        'dot11s-installer.cc',
        'flame-installer.cc',
        'athstats-helper.cc',
        'ipv6-address-helper.cc',
        'ipv6-interface-container.cc',
        'ipv6-static-routing-helper.cc',
        'ipv6-list-routing-helper.cc',
        'ipv6-routing-helper.cc',
        'ping6-helper.cc',
        'flow-monitor-helper.cc',
        'animation-interface.cc',
        'canvas-location.cc',
        'point-to-point-dumbbell-helper.cc',
        'point-to-point-grid-helper.cc',
        'point-to-point-star-helper.cc',
        'csma-star-helper.cc',
        'udp-client-server-helper.cc',
        'trace-helper.cc',
        'wimax-helper.cc',
        'topology-reader-helper.cc',
        ]

    headers = bld.new_task_gen('ns3header')
    headers.module = 'helper'
    headers.source = [
        'node-container.h',
        'net-device-container.h',
        'wifi-helper.h',
        'olsr-helper.h',
        'point-to-point-helper.h',
        'csma-helper.h',
        'mobility-helper.h',
        'ns2-mobility-helper.h',
        'ipv4-address-helper.h',
        'ipv4-static-routing-helper.h',
        'internet-stack-helper.h',
        'application-container.h',
        'on-off-helper.h',
        'packet-sink-helper.h',
        'packet-socket-helper.h',
        'ipv4-interface-container.h',
        'udp-echo-helper.h',
        'bridge-helper.h',
        'yans-wifi-helper.h',
        'v4ping-helper.h',
        'nqos-wifi-mac-helper.h',
        'qos-wifi-mac-helper.h',
        'ipv4-nix-vector-helper.h',
	'ipv4-global-routing-helper.h',
        'ipv4-list-routing-helper.h',
        'ipv4-routing-helper.h',
        'aodv-helper.h',
        'mesh-helper.h',
        'mesh-stack-installer.h',
        'dot11s-installer.h',
        'flame-installer.h',
        'athstats-helper.h',
        'ipv6-address-helper.h',
        'ipv6-interface-container.h',
        'ipv6-static-routing-helper.h',
        'ipv6-list-routing-helper.h',
        'ipv6-routing-helper.h',
        'ping6-helper.h',
        'flow-monitor-helper.h',
        'animation-interface.h',
        'canvas-location.h',
        'point-to-point-dumbbell-helper.h',
        'point-to-point-grid-helper.h',
        'point-to-point-star-helper.h',
        'csma-star-helper.h',
        'udp-client-server-helper.h',
        'trace-helper.h',
        'wimax-helper.h',
        'topology-reader-helper.h',
        ]

    env = bld.env_of_name('default')
    if env['ENABLE_EMU']:
        helper.source.extend([
                'emu-helper.cc',
                ])
        headers.source.extend([
                'emu-helper.h',
                ])
    if env['ENABLE_TAP']:
        helper.source.extend([
                'tap-bridge-helper.cc',
                ])
        headers.source.extend([
                'tap-bridge-helper.h',
                ])

def configure(conf):
    conf.check(header_name='sys/socket.h', define_name='HAVE_SYS_SOCKET_H')
    conf.check(header_name='netinet/in.h', define_name='HAVE_NETINET_IN_H')
    conf.write_config_header('ns3/net-anim-config.h', top=True)

=== ns-3.8/src/internet-stack/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-
import os
import sys

import Options
import Logs
import Utils
import Task

# Required NSC version
NSC_RELEASE_NAME = "nsc-0.5.1"


def set_options(opt):
    opt.add_option('--with-nsc',
                   help=('Use Network Simulation Cradle, given by the indicated path,'
                         ' to allow the use of real-world network stacks'),
                   default='', dest='with_nsc')


def configure(conf):
    conf.env['ENABLE_NSC'] = False

    # checks for flex and bison, which is needed to build NSCs globaliser
    # TODO: how to move these checks into the allinone scripts?
    #def check_nsc_buildutils():
    #    import flex
    #    import bison
    #    conf.check_tool('flex bison')
    #    conf.check(lib='fl', mandatory=True)

    # Check for the location of NSC
    if Options.options.with_nsc:
        if os.path.isdir(Options.options.with_nsc):
            conf.check_message("NSC location", '', True, ("%s (given)" % Options.options.with_nsc))
            conf.env['WITH_NSC'] = os.path.abspath(Options.options.with_nsc)
    else:
        nsc_dir = os.path.join('..', "nsc")
        if os.path.isdir(nsc_dir):
            conf.check_message("NSC location", '', True, ("%s (guessed)" % nsc_dir))
            conf.env['WITH_NSC'] = os.path.abspath(nsc_dir)
        del nsc_dir
    if not conf.env['WITH_NSC']:
        conf.check_message("NSC location", '', False)
        conf.report_optional_feature("nsc", "Network Simulation Cradle", False,
                                     "NSC not found (see option --with-nsc)")
	return
    
    if sys.platform in ['linux2']:
        arch = os.uname()[4]
    else:
        arch = None
    ok = False
    if arch == 'x86_64' or arch == 'i686' or arch == 'i586' or arch == 'i486' or arch == 'i386':
        conf.env['NSC_ENABLED'] = 'yes'
        conf.env.append_value('CXXDEFINES', 'NETWORK_SIMULATION_CRADLE')
        conf.check(mandatory=True, lib='dl', define_name='HAVE_DL', uselib='DL')
        ok = True
    conf.check_message('NSC supported architecture', arch, ok)
    conf.report_optional_feature("nsc", "Network Simulation Cradle", ok,
                                 "architecture %r not supported" % arch)

    # append the NSC kernel dirs to the module path so that these dirs
    # will end up in the LD_LIBRARY_PATH, thus allowing the NSC NS-3
    # module to find the necessary NSC shared libraries.
    for nsc_module in ['linux-2.6.18', 'linux-2.6.26']:
        conf.env.append_value('NS3_MODULE_PATH',
                              os.path.abspath(os.path.join(conf.env['WITH_NSC'], nsc_module)))



def build(bld):
    obj = bld.create_ns3_module('internet-stack', ['node'])
    obj.source = [
        'tcp-test.cc',
        'udp-test.cc',
        'ipv4-test.cc',
        'ipv4-raw-test.cc',
        'ipv4-l4-protocol.cc',
        'udp-header.cc',
        'tcp-header.cc',
        'ipv4-interface.cc',
        'ipv4-l3-protocol.cc',
        'ipv4-end-point.cc',
        'udp-l4-protocol.cc',
        'tcp-l4-protocol.cc',
        'arp-header.cc',
        'arp-cache.cc',
        'arp-l3-protocol.cc',
        'udp-socket-impl.cc',
        'tcp-socket-impl.cc',
        'ipv4-end-point-demux.cc',
        'udp-socket-factory-impl.cc',
        'tcp-socket-factory-impl.cc',
        'pending-data.cc',
        'sequence-number.cc',
        'rtt-estimator.cc',
        'ipv4-raw-socket-factory-impl.cc',
        'ipv4-raw-socket-impl.cc',
        'icmpv4.cc',
        'icmpv4-l4-protocol.cc',
        'loopback-net-device.cc',
        'ndisc-cache.cc',
        'ipv6-interface.cc',
        'icmpv6-header.cc',
        'ipv6-l3-protocol.cc',
        'ipv6-end-point.cc',
        'ipv6-end-point-demux.cc',
        'ipv6-l4-protocol.cc',
        'ipv6-raw-socket-factory-impl.cc',
        'ipv6-raw-socket-impl.cc',
        'ipv6-autoconfigured-prefix.cc',
        'ipv6-extension.cc',
        'ipv6-extension-header.cc',
        'ipv6-extension-demux.cc',
        'ipv6-option.cc',
        'ipv6-option-header.cc',
        'ipv6-option-demux.cc',
        'icmpv6-l4-protocol.cc',
        'ipv6-test.cc',
        'ipv6-extension-header-test-suite.cc',
        ]

    headers = bld.new_task_gen('ns3header')
    headers.module = 'internet-stack'
    headers.source = [
        'udp-header.h',
        'tcp-header.h',
        'sequence-number.h',
        'icmpv4.h',
        'icmpv6-header.h',
        # used by routing
        'ipv4-interface.h',
        'ipv4-l3-protocol.h',
        'ipv6-l3-protocol.h',
        'ipv6-extension-header.h',
        'ipv6-option-header.h',
        'arp-l3-protocol.h',
        'udp-l4-protocol.h',
        'tcp-l4-protocol.h',
        'icmpv4-l4-protocol.h',
        'ipv4-l4-protocol.h',
        'arp-cache.h',
        'icmpv6-l4-protocol.h',
        'ipv6-l4-protocol.h',
        'ipv6-interface.h',
        'ndisc-cache.h',
	'loopback-net-device.h'
       ]

    if bld.env['NSC_ENABLED']:
        obj.source.append ('nsc-tcp-socket-impl.cc')
        obj.source.append ('nsc-tcp-l4-protocol.cc')
        obj.source.append ('nsc-tcp-socket-factory-impl.cc')
        obj.source.append ('nsc-sysctl.cc')
        headers.source.append('nsc-tcp-l4-protocol.h')
        obj.uselib = 'DL'

=== ns-3.8/src/node/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    node = bld.create_ns3_module('node', ['core', 'common', 'simulator'])
    node.source = [
        'address.cc',
        'mac48-address.cc',
        'mac64-address.cc',
        'inet-socket-address.cc',
        'packet-socket-address.cc',
        'node.cc',
        'ipv4-address.cc',
        'ipv4-interface-address.cc',
        'ipv4-address-generator.cc',
        'ipv4-header.cc',
        'net-device.cc',
	'address-utils.cc',
        'llc-snap-header.cc',
        'ethernet-header.cc',
        'ethernet-trailer.cc',
        'ipv4-route.cc',
        'ipv4-routing-protocol.cc',
        'queue.cc',
        'drop-tail-queue.cc',
        'channel.cc',
        'node-list.cc',
        'channel-list.cc',
        'socket.cc',
        'socket-factory.cc',
        'packet-socket-factory.cc',
        'packet-socket.cc',
        'udp-socket.cc',
        'udp-socket-factory.cc',
        'tcp-socket.cc',
        'tcp-socket-factory.cc',
        'ipv4.cc',
        'ipv4-raw-socket-factory.cc',
        'application.cc',
        'simple-channel.cc',
        'simple-net-device.cc',
        'inet6-socket-address.cc',
        'ipv6-address.cc',
        'ipv6-header.cc',
        'ipv6-interface-address.cc',
        'ipv6-route.cc',
        'ipv6.cc',
        'ipv6-raw-socket-factory.cc',
        'ipv6-routing-protocol.cc',
        'packetbb.cc',
        'packetbb-test-suite.cc',
        'radiotap-header.cc',
        ]

    headers = bld.new_task_gen('ns3header')
    headers.module = 'node'
    headers.source = [
        'address.h',
        'mac48-address.h',
        'mac64-address.h',
        'inet-socket-address.h',
        'packet-socket-address.h',
        'node.h',
        'ipv4-address.h',
        'ipv4-interface-address.h',
        'ipv4-address-generator.h',
        'ipv4-header.h',
        'net-device.h',
      	'address-utils.h',
        'ipv4-route.h',
        'ipv4-routing-protocol.h',
        'queue.h',
        'drop-tail-queue.h',
        'llc-snap-header.h',
        'ethernet-header.h',
        'ethernet-trailer.h',
        'channel.h',
        'node-list.h',
        'channel-list.h',
        'socket.h',
        'socket-factory.h',
        'packet-socket-factory.h',
        'udp-socket.h',
        'udp-socket-factory.h',
        'tcp-socket.h',
        'tcp-socket-factory.h',
        'ipv4.h',
        'ipv4-raw-socket-factory.h',
        'application.h',
        'simple-channel.h',
        'simple-net-device.h',
        'inet6-socket-address.h',
        'ipv6-address.h',
        'ipv6-header.h',
        'ipv6-interface-address.h',
        'ipv6-route.h',
        'ipv6.h',
        'ipv6-raw-socket-factory.h',
        'ipv6-routing-protocol.h',
        'packetbb.h',
        'radiotap-header.h',
        ]

=== pybindgen-0.14.1/examples/c/wscript ===
## -*- python -*-

def build(bld):

    gen = bld.new_task_gen(
        features='command',
        source='modulegen.py',
        target='cmodule.cc',
        command='${PYTHON} ${SRC[0]} > ${TGT[0]}')

    if bld.env['CXX']:
        obj = bld.new_task_gen('cxx', 'shlib', 'pyext')
        obj.source = [
            'c.cc',
            'cmodule.cc'
            ]
        obj.target = 'c'
        obj.install_path = None # do not install
        obj.includes = '.'

=== ns-3.8/src/devices/mesh/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_module('mesh', ['wifi'])

    obj.source = [
        'wifi-information-element-vector.cc',
        'mesh-point-device.cc',
        'mesh-l2-routing-protocol.cc',
        'mesh-wifi-beacon.cc',
        'mesh-wifi-interface-mac.cc',
        ]
    headers = bld.new_task_gen('ns3header')
    headers.module = 'mesh'
    headers.source = [
        'wifi-information-element-vector.h',
        'mesh-point-device.h',
        'mesh-l2-routing-protocol.h',
        'mesh-wifi-beacon.h',
        'mesh-wifi-interface-mac.h',
        'mesh-wifi-interface-mac-plugin.h',
        ]

=== ns-3.8/src/devices/wifi/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_module('wifi', ['node'])
    obj.source = [
        'wifi-channel.cc',
        'wifi-mode.cc',
        'ssid.cc',
        'wifi-phy.cc',
        'wifi-phy-state-helper.cc',
        'error-rate-model.cc',
        'yans-error-rate-model.cc',
        'interference-helper.cc',
        'interference-helper-tx-duration-test.cc',
        'yans-wifi-phy.cc',
        'yans-wifi-channel.cc',
        'wifi-mac-header.cc',
        'wifi-mac-trailer.cc',
        'mac-low.cc',
        'wifi-mac-queue.cc',
        'mac-tx-middle.cc',
        'mac-rx-middle.cc',
        'dca-txop.cc',
        'supported-rates.cc',
        'capability-information.cc',
        'status-code.cc',
        'mgt-headers.cc',
        'random-stream.cc',
        'dcf-manager.cc',
        'dcf-manager-test.cc',
        'wifi-mac.cc',
        'wifi-remote-station-manager.cc',
        'adhoc-wifi-mac.cc',
        'nqap-wifi-mac.cc',
        'nqsta-wifi-mac.cc',
        'wifi-net-device.cc',
        'arf-wifi-manager.cc',
        'aarf-wifi-manager.cc',
        'ideal-wifi-manager.cc',
        'constant-rate-wifi-manager.cc',
        'amrr-wifi-manager.cc',
        'onoe-wifi-manager.cc',
        'rraa-wifi-manager.cc',
        'aarfcd-wifi-manager.cc',
        'cara-wifi-manager.cc',
        'minstrel-wifi-manager.cc',
        'wifi-test.cc',
        'qos-tag.cc',
        'qos-utils.cc',
        'qadhoc-wifi-mac.cc',
        'qap-wifi-mac.cc',
        'qsta-wifi-mac.cc',
        'edca-txop-n.cc',
        'msdu-aggregator.cc',
        'amsdu-subframe-header.cc',
        'msdu-standard-aggregator.cc',
        'originator-block-ack-agreement.cc',
        'dcf.cc',
        'ctrl-headers.cc',
        'qos-blocked-destinations.cc',
        'block-ack-agreement.cc',
        'block-ack-manager.cc',
        'block-ack-test-suite.cc',
        ]
    headers = bld.new_task_gen('ns3header')
    headers.module = 'wifi'
    headers.source = [
        'wifi-net-device.h',
        'wifi-channel.h',
        'wifi-mode.h',
        'ssid.h',
        'wifi-preamble.h',
	'wifi-phy-standard.h',
        'yans-wifi-phy.h',
        'yans-wifi-channel.h',
        'wifi-phy.h',
        'interference-helper.h',
        'wifi-remote-station-manager.h',
        'arf-wifi-manager.h',
        'aarf-wifi-manager.h',
        'ideal-wifi-manager.h',
        'constant-rate-wifi-manager.h',
        'amrr-wifi-manager.h',
        'onoe-wifi-manager.h',
        'rraa-wifi-manager.h',
        'aarfcd-wifi-manager.h',
        'cara-wifi-manager.h',
        'minstrel-wifi-manager.h',
        'wifi-mac.h',
        'adhoc-wifi-mac.h',
        'nqsta-wifi-mac.h',
        'nqap-wifi-mac.h',
        'wifi-phy.h',
        'supported-rates.h',
        'error-rate-model.h',
        'yans-error-rate-model.h',
        'dca-txop.h',
        'wifi-mac-header.h',
        'qadhoc-wifi-mac.h',
        'qap-wifi-mac.h',
        'qsta-wifi-mac.h',
        'qos-utils.h',
        'edca-txop-n.h',
        'msdu-aggregator.h',
        'amsdu-subframe-header.h',
        'qos-tag.h',
        'mgt-headers.h',
        'status-code.h',
        'capability-information.h',
        'dcf-manager.h',
        'mac-rx-middle.h', 
        'mac-low.h',
        'originator-block-ack-agreement.h',
        'dcf.h',
        'ctrl-headers.h',
        'block-ack-agreement.h',
        'block-ack-manager.h',
        ]

    if bld.env['ENABLE_GSL']:
        obj.uselib = 'GSL GSLCBLAS M'

    obj = bld.create_ns3_program('wifi-phy-test',
        ['core', 'simulator', 'mobility', 'node', 'wifi'])
    obj.source = 'wifi-phy-test.cc'

=== debian/changelog ===
ns3 (3.8-3) unstable; urgency=low

  * Open debug and fix Bug#582926 :Possible uses -march=native
  * fix python-ns3
  * add build dep libxml2-dev libgsl0-dev

 -- YunQiang Su <wzssyqa@gmail.com>  May, 21 Sun 2010 20:09:10 +0800

ns3 (3.8-2) unstable; urgency=low

  * Some arch have no libopenmpi-dev,so remove it on these arch
  * add override_auto_clean

 -- YunQiang Su <wzssyqa@gmail.com>  May, 19 Sun 2010 15:09:10 +0800

ns3 (3.8-1) unstable; urgency=low

  * New Upstream version

 -- YunQiang Su <wzssyqa@gmail.com>  May, 9 Sun 2010 12:22:35 +0800

=== debian/control ===
Source: ns3
Section: net
Priority: optional
Standards-Version: 3.8.4
Maintainer: YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), pkg-config, libxml2-dev, libgsl0-dev, libsqlite3-dev, python-all-dev, python-support, texi2html, texinfo, imagemagick, dia, ghostscript, texlive-font-utils, texlive-latex-base, texlive-generic-recommended, python-pygccxml, libopenmpi-dev [alpha amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc]
Vcs-git: git://github.com/wzssyqa/ns3-debian.git
Vcs-Browser: http://github.com/wzssyqa/ns3-debian
Homepage: http://www.nsnam.org/

Package: ns3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: discrete-event network simulator
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use.
 .
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and nam (network animator). 

Package: ns3-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: documentation for ns3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 .
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and nam (network animator). 
 .
 This package contains manual, testing, tutorial.

Package: libns3-3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library files of ns3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 .
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and nam (network animator). 
 .
 This package contains shared library files.

Package: libns3-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libdevel
Description: develop files of ns3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 .
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and nam (network animator). 
 .
 This package contains development files.

Package: python-ns3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Section: python
Description: Python binding of ns3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 .
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and nam (network animator). 
 .
 This package contains Python binding of ns3.

=== debian/rules ===
#!/usr/bin/make -f

NS3VER=3.8
NS3_DIR=ns-$(NS3VER)
PYBINDGENV_DIR=pybindgen-0.14.1
REFTRACE_DIR=ns-3.8-ref-traces
NSC_DIR=nsc-0.5.1

RELEASE=debug

PYVERS=$(shell pyversions -s)

%:
	dh $@ --with quilt


override_dh_auto_configure:
	cd $(NS3_DIR);./waf configure --disable-examples -d $(RELEASE) \
		--prefix=/usr --with-regression-traces=../$(REFTRACE_DIR) \
		--with-pybindgen=../$(PYBINDGENV_DIR) --with-nsc=../$(NSC_DIR) \
		--enable-mpi --python-scan --enable-python-pch


override_dh_auto_build:
	make all -C ./$(NS3_DIR)/doc/manual/
	make all -C ./$(NS3_DIR)/doc/testing/
	make all -C ./$(NS3_DIR)/doc/tutorial/

	cd $(NS3_DIR);./waf build
	
#	cd $(NS3_DIR);./waf check  #bug 798 makes it check failed http://www.nsnam.org/bugzilla/show_bug.cgi?id=798

override_dh_auto_install:
	################################################ ns3
	cd ./$(NS3_DIR);./waf install --destdir=../debian/ns3
	if [ ! -d ./debian/ns3/usr/share/doc/ns3 ] ;then mkdir -p ./debian/ns3/usr/share/doc/ns3 ;fi
	cp ./$(NS3_DIR)/RELEASE_NOTES ./debian/ns3/usr/share/doc/ns3
	cp ./$(NS3_DIR)/README ./debian/README.source

	################################################ libns3-3
	mkdir -p ./debian/libns3-3/usr/lib
	mv ./debian/ns3/usr/lib/libns3.so.3 ./debian/libns3-3/usr/lib
	mv ./debian/ns3/usr/lib/libns3.so.$(NS3VER) ./debian/libns3-3/usr/lib

	################################################ ns3-doc	
	mkdir -p ./debian/tmp/ns3-doc
	
	cp ./$(NS3_DIR)/doc/manual/manual.pdf ./$(NS3_DIR)/doc/manual/manual.html ./debian/tmp/ns3-doc
	cp -r ./$(NS3_DIR)/doc/manual/manual ./debian/tmp/ns3-doc

	
	cp  ./$(NS3_DIR)/doc/testing/testing.pdf ./$(NS3_DIR)/doc/testing/testing.html ./debian/tmp/ns3-doc
	cp -r ./$(NS3_DIR)/doc/testing/testing ./debian/tmp/ns3-doc

	cp ./$(NS3_DIR)/doc/tutorial/tutorial.pdf ./$(NS3_DIR)/doc/tutorial/tutorial.html ./debian/tmp/ns3-doc
	cp -r ./$(NS3_DIR)/doc/tutorial/tutorial ./debian/tmp/ns3-doc
	cp ./$(NS3_DIR)/doc/build.txt ./$(NS3_DIR)/doc/codingstd.txt ./$(NS3_DIR)/doc/contributing.txt ./$(NS3_DIR)/doc/mercurial.txt ./$(NS3_DIR)/doc/modules ./$(NS3_DIR)/doc/release_steps.txt ./debian/tmp/ns3-doc
	################################################ libns3-dev
	mkdir -p ./debian/tmp/libns3-dev/	
	cp -r ./$(NS3_DIR)/build/$(RELEASE)/ns3 ./debian/tmp/libns3-dev/
	find ./$(NS3_DIR)/build/$(RELEASE)/src -name '*.o' -exec cp -n {} ./debian/tmp/libns3-dev/ \;
	ar r debian/tmp/libns3-dev/libns3.a debian/tmp/libns3-dev/*.o
	ranlib debian/tmp/libns3-dev/libns3.a
	mv ./debian/ns3/usr/lib/libns3.so debian/tmp/libns3-dev/
	cp -r $(NS3_DIR)/examples debian/tmp/libns3-dev/
	find debian/tmp/libns3-dev/examples -name 'waf' -exec rm {} \;
	############################################### python-ns3
#	python ./debian/python-ns3-setup.py install --prefix=./debian/python-ns3/usr

	for pyv in $(PYVERS);\
	do \
		mkdir -p ./debian/python-ns3/usr/lib/$${pyv}/dist-packages/ ;\
		cp -r ns-3.8/build/debug/bindings/python/ns3 ./debian/python-ns3/usr/lib/$${pyv}/dist-packages/ ;\
	done
	############################################### other clean
	rm -rf ./debian/ns3/usr/lib/
	
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs ./$(NS3_DIR)/CHANGES.html

override_dh_auto_clean:
	sh ./debian/clean-tree.sh
